---
title: IIRFilterNode()
slug: Web/API/IIRFilterNode/IIRFilterNode
tags:
  - API
  - Audio
  - Constructor
  - IIRFilterNode
  - Media
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p><span class="seoSummary">The <strong><code>IIRFilterNode()</code></strong> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("IIRFilterNode")}} object which an {{domxref("AudioNode")}} processor which implements a general infinite impulse response filter.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var iIRFilterNode = new IIRFilterNode(context, options)</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the </em><em>{{domxref("AudioNodeOptions")}} dictionary</em>.</p>

<dl>
	<dt><em>context</em></dt>
	<dd>A reference to an {{domxref("AudioContext")}}.</dd>
	<dt><em>options</em></dt>
	<dd>Options are as follows:
	<ul>
		<li><code>feedforward</code>: A sequence of feedforward coefficients.</li>
		<li><code>feedback</code>: A sequence of feedback coefficients.</li>
	</ul>
	</dd>
</dl>

<p class="note">Unlike other nodes in the Web Audio API, the options passed into the IIR filter upon creation are not optional. The filter needs these values to work and with the vast range of filters available, there is no default.</p>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("IIRFilterNode")}} object instance.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let feedForward = [0.00020298, 0.0004059599, 0.00020298];
let feedBackward = [1.0126964558, -1.9991880801, 0.9873035442];

const AudioContext = window.AudioContext || window.webkitAudioContext;
const audioCtx = new AudioContext();

const iirFilter = new IIRFilterNode(audioCtx, { feedforward: feedForward, feedback: feedBackward });</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Audio API','#dom-iirfilternode-iirfilternode','IIRFilterNode()')}}</td>
			<td>{{Spec2('Web Audio API')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.IIRFilterNode.IIRFilterNode")}}</p>
</div>
